[jira] Created: (MEV-403) surefire-providers-2.0.pom contains strange dependencies which generate error

classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|

[jira] Created: (MEV-403) surefire-providers-2.0.pom contains strange dependencies which generate error

JIRA jira@codehaus.org
surefire-providers-2.0.pom contains strange dependencies which generate error
-----------------------------------------------------------------------------

         Key: MEV-403
         URL: http://jira.codehaus.org/browse/MEV-403
     Project: Maven Evangelism
        Type: Bug

  Components: Dependencies  
    Reporter: Olivier Lamy


This pom contains :
    <dependency>
      <groupId>${project.groupId}</groupId>
      <artifactId>surefire-api</artifactId>
      <version>${project.version}</version>
    </dependency>

This generate strange error in certain case.
I have replaced with :
    <dependency>
      <groupId>org.apache.maven.surefire</groupId>
      <artifactId>surefire-api</artifactId>
      <version>2.0</version>
    </dependency
And works fine.
The stack trace says
WARNING] Unable to get resource from repository central (http://repo1.maven.org/maven2)

[DEBUG] Unable to download the artifact from any repository



Try downloading the file manually from the project website.



Then, install it using the command:

    mvn install:install-file -DgroupId=org.apache.maven.surefire -DartifactId=surefire-api \
        -Dversion=2.4.1 -Dpackaging=jar -Dfile=/path/to/file



Path to dependency:

        1) dummy:dummy:jar:1.0

        2) org.apache.maven.surefire:surefire-junit:jar:2.0

        3) org.apache.maven.surefire:surefire-api:jar:2.4.1





  org.apache.maven.surefire:surefire-api:jar:2.4.1



from the specified remote repositories:

  rec-ap2 (http://57.200.214.247/maven2),
  central (http://repo1.maven.org/maven2),
  continuum-repo-snapshots (http://57.200.214.247/continuum-repo/),
  apache.snapshots (http://svn.apache.org/maven-snapshot-repository),
  rec-ap2-snapshots (http://57.200.214.247/snapshots)





--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira

Reply | Threaded
Open this post in threaded view
|

[jira] Updated: (MEV-403) surefire-providers-2.0.pom contains strange dependencies which generate error

JIRA jira@codehaus.org
     [ http://jira.codehaus.org/browse/MEV-403?page=all ]

Olivier Lamy updated MEV-403:
-----------------------------

    Attachment: log.txt

> surefire-providers-2.0.pom contains strange dependencies which generate error
> -----------------------------------------------------------------------------
>
>          Key: MEV-403
>          URL: http://jira.codehaus.org/browse/MEV-403
>      Project: Maven Evangelism
>         Type: Bug

>   Components: Dependencies
>     Reporter: Olivier Lamy
>  Attachments: log.txt
>
>
> This pom contains :
>     <dependency>
>       <groupId>${project.groupId}</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>${project.version}</version>
>     </dependency>
> This generate strange error in certain case.
> I have replaced with :
>     <dependency>
>       <groupId>org.apache.maven.surefire</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>2.0</version>
>     </dependency
> And works fine.
> The stack trace says
> WARNING] Unable to get resource from repository central (http://repo1.maven.org/maven2)
> [DEBUG] Unable to download the artifact from any repository
> Try downloading the file manually from the project website.
> Then, install it using the command:
>     mvn install:install-file -DgroupId=org.apache.maven.surefire -DartifactId=surefire-api \
>         -Dversion=2.4.1 -Dpackaging=jar -Dfile=/path/to/file
> Path to dependency:
> 1) dummy:dummy:jar:1.0
> 2) org.apache.maven.surefire:surefire-junit:jar:2.0
> 3) org.apache.maven.surefire:surefire-api:jar:2.4.1
>   org.apache.maven.surefire:surefire-api:jar:2.4.1
> from the specified remote repositories:
>   rec-ap2 (http://57.200.214.247/maven2),
>   central (http://repo1.maven.org/maven2),
>   continuum-repo-snapshots (http://57.200.214.247/continuum-repo/),
>   apache.snapshots (http://svn.apache.org/maven-snapshot-repository),
>   rec-ap2-snapshots (http://57.200.214.247/snapshots)

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (MEV-403) surefire-providers-2.0.pom contains strange dependencies which generate error

JIRA jira@codehaus.org
In reply to this post by JIRA jira@codehaus.org
    [ http://jira.codehaus.org/browse/MEV-403?page=comments#action_66217 ]

Carlos Sanchez commented on MEV-403:
------------------------------------

Can you attach the poms?

> surefire-providers-2.0.pom contains strange dependencies which generate error
> -----------------------------------------------------------------------------
>
>          Key: MEV-403
>          URL: http://jira.codehaus.org/browse/MEV-403
>      Project: Maven Evangelism
>         Type: Bug

>   Components: Dependencies
>     Reporter: Olivier Lamy
>  Attachments: log.txt
>
>
> This pom contains :
>     <dependency>
>       <groupId>${project.groupId}</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>${project.version}</version>
>     </dependency>
> This generate strange error in certain case.
> I have replaced with :
>     <dependency>
>       <groupId>org.apache.maven.surefire</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>2.0</version>
>     </dependency
> And works fine.
> The stack trace says
> WARNING] Unable to get resource from repository central (http://repo1.maven.org/maven2)
> [DEBUG] Unable to download the artifact from any repository
> Try downloading the file manually from the project website.
> Then, install it using the command:
>     mvn install:install-file -DgroupId=org.apache.maven.surefire -DartifactId=surefire-api \
>         -Dversion=2.4.1 -Dpackaging=jar -Dfile=/path/to/file
> Path to dependency:
> 1) dummy:dummy:jar:1.0
> 2) org.apache.maven.surefire:surefire-junit:jar:2.0
> 3) org.apache.maven.surefire:surefire-api:jar:2.4.1
>   org.apache.maven.surefire:surefire-api:jar:2.4.1
> from the specified remote repositories:
>   rec-ap2 (http://57.200.214.247/maven2),
>   central (http://repo1.maven.org/maven2),
>   continuum-repo-snapshots (http://57.200.214.247/continuum-repo/),
>   apache.snapshots (http://svn.apache.org/maven-snapshot-repository),
>   rec-ap2-snapshots (http://57.200.214.247/snapshots)

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (MEV-403) surefire-providers-2.0.pom contains strange dependencies which generate error

JIRA jira@codehaus.org
In reply to this post by JIRA jira@codehaus.org
    [ http://jira.codehaus.org/browse/MEV-403?page=comments#action_66219 ]

Olivier Lamy commented on MEV-403:
----------------------------------

You want my poms ? or the surefire's in my repo ?


> surefire-providers-2.0.pom contains strange dependencies which generate error
> -----------------------------------------------------------------------------
>
>          Key: MEV-403
>          URL: http://jira.codehaus.org/browse/MEV-403
>      Project: Maven Evangelism
>         Type: Bug

>   Components: Dependencies
>     Reporter: Olivier Lamy
>  Attachments: log.txt
>
>
> This pom contains :
>     <dependency>
>       <groupId>${project.groupId}</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>${project.version}</version>
>     </dependency>
> This generate strange error in certain case.
> I have replaced with :
>     <dependency>
>       <groupId>org.apache.maven.surefire</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>2.0</version>
>     </dependency
> And works fine.
> The stack trace says
> WARNING] Unable to get resource from repository central (http://repo1.maven.org/maven2)
> [DEBUG] Unable to download the artifact from any repository
> Try downloading the file manually from the project website.
> Then, install it using the command:
>     mvn install:install-file -DgroupId=org.apache.maven.surefire -DartifactId=surefire-api \
>         -Dversion=2.4.1 -Dpackaging=jar -Dfile=/path/to/file
> Path to dependency:
> 1) dummy:dummy:jar:1.0
> 2) org.apache.maven.surefire:surefire-junit:jar:2.0
> 3) org.apache.maven.surefire:surefire-api:jar:2.4.1
>   org.apache.maven.surefire:surefire-api:jar:2.4.1
> from the specified remote repositories:
>   rec-ap2 (http://57.200.214.247/maven2),
>   central (http://repo1.maven.org/maven2),
>   continuum-repo-snapshots (http://57.200.214.247/continuum-repo/),
>   apache.snapshots (http://svn.apache.org/maven-snapshot-repository),
>   rec-ap2-snapshots (http://57.200.214.247/snapshots)

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (MEV-403) surefire-providers-2.0.pom contains strange dependencies which generate error

JIRA jira@codehaus.org
In reply to this post by JIRA jira@codehaus.org
    [ http://jira.codehaus.org/browse/MEV-403?page=comments#action_66222 ]

Carlos Sanchez commented on MEV-403:
------------------------------------

show me your poms ;)

> surefire-providers-2.0.pom contains strange dependencies which generate error
> -----------------------------------------------------------------------------
>
>          Key: MEV-403
>          URL: http://jira.codehaus.org/browse/MEV-403
>      Project: Maven Evangelism
>         Type: Bug

>   Components: Dependencies
>     Reporter: Olivier Lamy
>  Attachments: log.txt
>
>
> This pom contains :
>     <dependency>
>       <groupId>${project.groupId}</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>${project.version}</version>
>     </dependency>
> This generate strange error in certain case.
> I have replaced with :
>     <dependency>
>       <groupId>org.apache.maven.surefire</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>2.0</version>
>     </dependency
> And works fine.
> The stack trace says
> WARNING] Unable to get resource from repository central (http://repo1.maven.org/maven2)
> [DEBUG] Unable to download the artifact from any repository
> Try downloading the file manually from the project website.
> Then, install it using the command:
>     mvn install:install-file -DgroupId=org.apache.maven.surefire -DartifactId=surefire-api \
>         -Dversion=2.4.1 -Dpackaging=jar -Dfile=/path/to/file
> Path to dependency:
> 1) dummy:dummy:jar:1.0
> 2) org.apache.maven.surefire:surefire-junit:jar:2.0
> 3) org.apache.maven.surefire:surefire-api:jar:2.4.1
>   org.apache.maven.surefire:surefire-api:jar:2.4.1
> from the specified remote repositories:
>   rec-ap2 (http://57.200.214.247/maven2),
>   central (http://repo1.maven.org/maven2),
>   continuum-repo-snapshots (http://57.200.214.247/continuum-repo/),
>   apache.snapshots (http://svn.apache.org/maven-snapshot-repository),
>   rec-ap2-snapshots (http://57.200.214.247/snapshots)

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira

Reply | Threaded
Open this post in threaded view
|

[jira] Updated: (MEV-403) surefire-providers-2.0.pom contains strange dependencies which generate error

JIRA jira@codehaus.org
In reply to this post by JIRA jira@codehaus.org
     [ http://jira.codehaus.org/browse/MEV-403?page=all ]

Olivier Lamy updated MEV-403:
-----------------------------

    Attachment: poms.zip

> surefire-providers-2.0.pom contains strange dependencies which generate error
> -----------------------------------------------------------------------------
>
>          Key: MEV-403
>          URL: http://jira.codehaus.org/browse/MEV-403
>      Project: Maven Evangelism
>         Type: Bug

>   Components: Dependencies
>     Reporter: Olivier Lamy
>  Attachments: log.txt, poms.zip
>
>
> This pom contains :
>     <dependency>
>       <groupId>${project.groupId}</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>${project.version}</version>
>     </dependency>
> This generate strange error in certain case.
> I have replaced with :
>     <dependency>
>       <groupId>org.apache.maven.surefire</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>2.0</version>
>     </dependency
> And works fine.
> The stack trace says
> WARNING] Unable to get resource from repository central (http://repo1.maven.org/maven2)
> [DEBUG] Unable to download the artifact from any repository
> Try downloading the file manually from the project website.
> Then, install it using the command:
>     mvn install:install-file -DgroupId=org.apache.maven.surefire -DartifactId=surefire-api \
>         -Dversion=2.4.1 -Dpackaging=jar -Dfile=/path/to/file
> Path to dependency:
> 1) dummy:dummy:jar:1.0
> 2) org.apache.maven.surefire:surefire-junit:jar:2.0
> 3) org.apache.maven.surefire:surefire-api:jar:2.4.1
>   org.apache.maven.surefire:surefire-api:jar:2.4.1
> from the specified remote repositories:
>   rec-ap2 (http://57.200.214.247/maven2),
>   central (http://repo1.maven.org/maven2),
>   continuum-repo-snapshots (http://57.200.214.247/continuum-repo/),
>   apache.snapshots (http://svn.apache.org/maven-snapshot-repository),
>   rec-ap2-snapshots (http://57.200.214.247/snapshots)

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (MEV-403) surefire-providers-2.0.pom contains strange dependencies which generate error

JIRA jira@codehaus.org
In reply to this post by JIRA jira@codehaus.org
    [ http://jira.codehaus.org/browse/MEV-403?page=comments#action_66232 ]

Olivier Lamy commented on MEV-403:
----------------------------------

The case happens when just checkout dotw-webapp module.
Not with all modules build.


> surefire-providers-2.0.pom contains strange dependencies which generate error
> -----------------------------------------------------------------------------
>
>          Key: MEV-403
>          URL: http://jira.codehaus.org/browse/MEV-403
>      Project: Maven Evangelism
>         Type: Bug

>   Components: Dependencies
>     Reporter: Olivier Lamy
>  Attachments: log.txt, poms.zip
>
>
> This pom contains :
>     <dependency>
>       <groupId>${project.groupId}</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>${project.version}</version>
>     </dependency>
> This generate strange error in certain case.
> I have replaced with :
>     <dependency>
>       <groupId>org.apache.maven.surefire</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>2.0</version>
>     </dependency
> And works fine.
> The stack trace says
> WARNING] Unable to get resource from repository central (http://repo1.maven.org/maven2)
> [DEBUG] Unable to download the artifact from any repository
> Try downloading the file manually from the project website.
> Then, install it using the command:
>     mvn install:install-file -DgroupId=org.apache.maven.surefire -DartifactId=surefire-api \
>         -Dversion=2.4.1 -Dpackaging=jar -Dfile=/path/to/file
> Path to dependency:
> 1) dummy:dummy:jar:1.0
> 2) org.apache.maven.surefire:surefire-junit:jar:2.0
> 3) org.apache.maven.surefire:surefire-api:jar:2.4.1
>   org.apache.maven.surefire:surefire-api:jar:2.4.1
> from the specified remote repositories:
>   rec-ap2 (http://57.200.214.247/maven2),
>   central (http://repo1.maven.org/maven2),
>   continuum-repo-snapshots (http://57.200.214.247/continuum-repo/),
>   apache.snapshots (http://svn.apache.org/maven-snapshot-repository),
>   rec-ap2-snapshots (http://57.200.214.247/snapshots)

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (MSUREFIRE-124) surefire-providers-2.0.pom contains strange dependencies which generate error

JIRA jira@codehaus.org
In reply to this post by JIRA jira@codehaus.org
    [ http://jira.codehaus.org/browse/MSUREFIRE-124?page=comments#action_66242 ]

Brett Porter commented on MSUREFIRE-124:
----------------------------------------

the pom is valid. Maybe there is an issue in surefire's resolution - it'll need to be investigated. I've never seen this myself.


> surefire-providers-2.0.pom contains strange dependencies which generate error
> -----------------------------------------------------------------------------
>
>          Key: MSUREFIRE-124
>          URL: http://jira.codehaus.org/browse/MSUREFIRE-124
>      Project: Maven 2.x Surefire Plugin
>         Type: Bug

>     Reporter: Olivier Lamy
>  Attachments: log.txt, poms.zip
>
>
> This pom contains :
>     <dependency>
>       <groupId>${project.groupId}</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>${project.version}</version>
>     </dependency>
> This generate strange error in certain case.
> I have replaced with :
>     <dependency>
>       <groupId>org.apache.maven.surefire</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>2.0</version>
>     </dependency
> And works fine.
> The stack trace says
> WARNING] Unable to get resource from repository central (http://repo1.maven.org/maven2)
> [DEBUG] Unable to download the artifact from any repository
> Try downloading the file manually from the project website.
> Then, install it using the command:
>     mvn install:install-file -DgroupId=org.apache.maven.surefire -DartifactId=surefire-api \
>         -Dversion=2.4.1 -Dpackaging=jar -Dfile=/path/to/file
> Path to dependency:
> 1) dummy:dummy:jar:1.0
> 2) org.apache.maven.surefire:surefire-junit:jar:2.0
> 3) org.apache.maven.surefire:surefire-api:jar:2.4.1
>   org.apache.maven.surefire:surefire-api:jar:2.4.1
> from the specified remote repositories:
>   rec-ap2 (http://57.200.214.247/maven2),
>   central (http://repo1.maven.org/maven2),
>   continuum-repo-snapshots (http://57.200.214.247/continuum-repo/),
>   apache.snapshots (http://svn.apache.org/maven-snapshot-repository),
>   rec-ap2-snapshots (http://57.200.214.247/snapshots)

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (MSUREFIRE-124) surefire-providers-2.0.pom contains strange dependencies which generate error

JIRA jira@codehaus.org
In reply to this post by JIRA jira@codehaus.org
    [ http://jira.codehaus.org/browse/MSUREFIRE-124?page=comments#action_66276 ]

Olivier Lamy commented on MSUREFIRE-124:
----------------------------------------

Hi,
Arghhh this kind of error always appends to me ;-)
IMHO, it's more a MNG issue than a surefire one.
Note, I have already seen this properties resolution trouble with transitive dependencies in some internal projects.
I don't remember the case as I believe it was something like :
pom.xml (foo:parent:1.0-SNAPSHOT)
  api/pom.xml (foo:api:${project.parent.version})
  impl1/pom.xml (foo:impl:${project.parent.version})

In the root pom, I defined a dependency in dependencyManagement
with foo:api:${project.version}
version in api/pom.xml and impl1/pom.xml defined with ${project.parent.version}.
a dependency in  impl1/pom.xml to foo:api.
This configuration generated same trouble when using foo:impl:${version.number} in a other project.
I will try to provide a test (if enough time).
--
Olivier
Thanks for investigation my workaround is to set surefire version to 2.1.3 in the module called dotw-webapp.

> surefire-providers-2.0.pom contains strange dependencies which generate error
> -----------------------------------------------------------------------------
>
>          Key: MSUREFIRE-124
>          URL: http://jira.codehaus.org/browse/MSUREFIRE-124
>      Project: Maven 2.x Surefire Plugin
>         Type: Bug

>     Reporter: Olivier Lamy
>  Attachments: log.txt, poms.zip
>
>
> This pom contains :
>     <dependency>
>       <groupId>${project.groupId}</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>${project.version}</version>
>     </dependency>
> This generate strange error in certain case.
> I have replaced with :
>     <dependency>
>       <groupId>org.apache.maven.surefire</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>2.0</version>
>     </dependency
> And works fine.
> The stack trace says
> WARNING] Unable to get resource from repository central (http://repo1.maven.org/maven2)
> [DEBUG] Unable to download the artifact from any repository
> Try downloading the file manually from the project website.
> Then, install it using the command:
>     mvn install:install-file -DgroupId=org.apache.maven.surefire -DartifactId=surefire-api \
>         -Dversion=2.4.1 -Dpackaging=jar -Dfile=/path/to/file
> Path to dependency:
> 1) dummy:dummy:jar:1.0
> 2) org.apache.maven.surefire:surefire-junit:jar:2.0
> 3) org.apache.maven.surefire:surefire-api:jar:2.4.1
>   org.apache.maven.surefire:surefire-api:jar:2.4.1
> from the specified remote repositories:
>   rec-ap2 (http://57.200.214.247/maven2),
>   central (http://repo1.maven.org/maven2),
>   continuum-repo-snapshots (http://57.200.214.247/continuum-repo/),
>   apache.snapshots (http://svn.apache.org/maven-snapshot-repository),
>   rec-ap2-snapshots (http://57.200.214.247/snapshots)

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (MSUREFIRE-124) surefire-providers-2.0.pom contains strange dependencies which generate error

JIRA jira@codehaus.org
In reply to this post by JIRA jira@codehaus.org
    [ http://jira.codehaus.org/browse/MSUREFIRE-124?page=comments#action_66277 ]

Olivier Lamy commented on MSUREFIRE-124:
----------------------------------------

I don't know if related but look at http://jira.codehaus.org/browse/MNGECLIPSE-20
I see the same magic number 2.4.1 ?
--
Olivier

> surefire-providers-2.0.pom contains strange dependencies which generate error
> -----------------------------------------------------------------------------
>
>          Key: MSUREFIRE-124
>          URL: http://jira.codehaus.org/browse/MSUREFIRE-124
>      Project: Maven 2.x Surefire Plugin
>         Type: Bug

>     Reporter: Olivier Lamy
>  Attachments: log.txt, poms.zip
>
>
> This pom contains :
>     <dependency>
>       <groupId>${project.groupId}</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>${project.version}</version>
>     </dependency>
> This generate strange error in certain case.
> I have replaced with :
>     <dependency>
>       <groupId>org.apache.maven.surefire</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>2.0</version>
>     </dependency
> And works fine.
> The stack trace says
> WARNING] Unable to get resource from repository central (http://repo1.maven.org/maven2)
> [DEBUG] Unable to download the artifact from any repository
> Try downloading the file manually from the project website.
> Then, install it using the command:
>     mvn install:install-file -DgroupId=org.apache.maven.surefire -DartifactId=surefire-api \
>         -Dversion=2.4.1 -Dpackaging=jar -Dfile=/path/to/file
> Path to dependency:
> 1) dummy:dummy:jar:1.0
> 2) org.apache.maven.surefire:surefire-junit:jar:2.0
> 3) org.apache.maven.surefire:surefire-api:jar:2.4.1
>   org.apache.maven.surefire:surefire-api:jar:2.4.1
> from the specified remote repositories:
>   rec-ap2 (http://57.200.214.247/maven2),
>   central (http://repo1.maven.org/maven2),
>   continuum-repo-snapshots (http://57.200.214.247/continuum-repo/),
>   apache.snapshots (http://svn.apache.org/maven-snapshot-repository),
>   rec-ap2-snapshots (http://57.200.214.247/snapshots)

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira

Reply | Threaded
Open this post in threaded view
|

[jira] Commented: (MSUREFIRE-124) surefire-providers-2.0.pom contains strange dependencies which generate error

JIRA jira@codehaus.org
In reply to this post by JIRA jira@codehaus.org
    [ http://jira.codehaus.org/browse/MSUREFIRE-124?page=comments#action_66465 ]

Olivier Lamy commented on MSUREFIRE-124:
----------------------------------------

IMO this is probably related too http://jira.codehaus.org/browse/MNG-2339.
--
Olivier

> surefire-providers-2.0.pom contains strange dependencies which generate error
> -----------------------------------------------------------------------------
>
>          Key: MSUREFIRE-124
>          URL: http://jira.codehaus.org/browse/MSUREFIRE-124
>      Project: Maven 2.x Surefire Plugin
>         Type: Bug

>     Reporter: Olivier Lamy
>  Attachments: log.txt, poms.zip
>
>
> This pom contains :
>     <dependency>
>       <groupId>${project.groupId}</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>${project.version}</version>
>     </dependency>
> This generate strange error in certain case.
> I have replaced with :
>     <dependency>
>       <groupId>org.apache.maven.surefire</groupId>
>       <artifactId>surefire-api</artifactId>
>       <version>2.0</version>
>     </dependency
> And works fine.
> The stack trace says
> WARNING] Unable to get resource from repository central (http://repo1.maven.org/maven2)
> [DEBUG] Unable to download the artifact from any repository
> Try downloading the file manually from the project website.
> Then, install it using the command:
>     mvn install:install-file -DgroupId=org.apache.maven.surefire -DartifactId=surefire-api \
>         -Dversion=2.4.1 -Dpackaging=jar -Dfile=/path/to/file
> Path to dependency:
> 1) dummy:dummy:jar:1.0
> 2) org.apache.maven.surefire:surefire-junit:jar:2.0
> 3) org.apache.maven.surefire:surefire-api:jar:2.4.1
>   org.apache.maven.surefire:surefire-api:jar:2.4.1
> from the specified remote repositories:
>   rec-ap2 (http://57.200.214.247/maven2),
>   central (http://repo1.maven.org/maven2),
>   continuum-repo-snapshots (http://57.200.214.247/continuum-repo/),
>   apache.snapshots (http://svn.apache.org/maven-snapshot-repository),
>   rec-ap2-snapshots (http://57.200.214.247/snapshots)

--
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira